<!DOCTYPE html>
<html lang="de">


<head>

   <link rel="stylesheet" href="css/style.css">
   <meta charset="utf-8">

   <title> Parkplatz reservieren : </title>

</head>


<body>


   <div id="container">



      <header> <img id="logo" src="Parking-sous-sol.png" width="120" height="100" alt="Parkplatz-logo">
         <h1 id="tit"> Universität Parking HS </h1>
      </header>

      <nav>
         <ul>
            <li class="inline"> <a href="/"> <strong class="navi"> ReservierungListe
                  </strong> </a> </li>
            <li class="inline"> <a href="/ReservierungDetailseite"> <strong class="navi">
                     ReservierungDetailseite </strong> </a> </li>
            <li class="inline"> <a href="/ReservierungFormular"> <strong class="navi"> ReservierungFormular
                  </strong> </a> </li>
            <li class="inline"> <a href="/AbonnementListenseite"> <strong class="navi"> AbonnementListenseite
                  </strong> </a> </li>
            <li class="inline"> <a href="/AbonnementDetailseite"> <strong class="navi"> AbonnementDetailseite
                  </strong> </a> </li>
            <li class="inline"> <a href="/AbonnementFormular"> <strong class="navi"> AbonnementFormular </strong>
               </a> </li>
         </ul>
      </nav>




      <main>


         <form action="/Formula" method="Post" name="form">

            <fieldset>

               <legend> Parkplatz Reservieren: </legend>

               <p> Anrede : <input type="radio" name="anrede" value="Herr"> Herr <input type="radio" name="anrede"
                     value="Frau"> Frau </p>

               <p> <label> <strong class="pflicht"> Name: </strong> <input name="name" required> </label> </p>

               <p> <label><strong class="pflicht"> Nachname: </strong> <input name="nachname" required> </label> </p>

               <p> Adresse: <br> <br> <label> <strong class="pflicht"> Straße: </strong> <input name="strasse" required>
                  </label> <label> <strong class="pflicht"> Hausnummer: </strong> <input name="hausnummer" type="number"
                        required> </label> <label> <strong class="pflicht"> Postleitzahl: </strong> <input
                        name="Postleitzahl" placeholder="44865" maxlength="5" required> </label> <br> <br>
                  <labe> <strong class="pflicht"> Ort: </strong> <input name="ort" placeholder="Z.B.Dortmund" required>
                     </label>
               </p>

               <p> <label> <strong class="pflicht"> Telefonnummer: </strong> <input name="Nummer" required> </label>
               </p>

               <p> <label> <strong class="pflicht"> Email: </strong> <input name="email" required> </label> </p>

               <p> <label> <strong class="pflicht"> Auto-Nummernschild: </strong> <input name="KFZ" required> </label>
               </p>


               <p> <label> Etage: <select name="etage">
                        <option value="EG" selected>EG</option>
                        <option value="1UG">1UG</option>
                        <option value="2UG">2UG</option>
                     </select> </label> </p>
               <p> <label> <strong class="pflicht"> Parkplatz-Nummer: </strong> <input name="Parkplatz_Nummer" required>
                  </label>
               </p>


               <p> Parken Sie hier als : <input type="radio" name="Anlass" value="Intern"> Intern <input type="radio"
                     name="Anlass" value="Extern"> Extern </p>

               <p> <label>Falls Sie hier Intern sind, geben Sie bitte <strong> ihre tätigkeit </strong> <select
                        name="tatigkeit">
                        <option value="Student" selected>Student</option>
                        <option value="Professeur"> Professeur </option>
                        <option value="Mitarbeiter in der UNI"> Mitarbeiter in der UNI </option>
                     </select> und <strong> ihre Matrikulnumer </strong> <input name="MtrN"> </label> </p>


               <p> <label> Datum: <input name="reservdate" type="date" required> </label> </p>


               <p> Zeitraum: <br> <label>von: <input name="zeit" type="time" id="start" required> </label>
                  <label> bis: <input name="zeit" type="time" required id="ende"> </label>
               </p>



               <p> <label> Preis in Euro: <input type="text" name="preis"> <input type="button" value="Gesamtkosten"
                        id="btn"> </label> </p>




               <p> Zahlungsmethode : <input type="radio" name="Zahlungsmethode" value="Kreditkarte"> Kreditkarte <input
                     type="radio" name="Zahlungsmethode" value="PayPal"> PayPal <input type="radio"
                     name="Zahlungsmethode" value="Uberweisung"> Überweisung
               </p>
               <h5> Externe Kunden werden zur Zahlungsseite weitergeleitet </h5>
            </fieldset>

            <fieldset>
               <legend> Für externe Kunden </legend>

               <p> Haben Sie ein Abonnement mit uns : <input type="radio" name="Abonnement" value="Ja"> Ja <input
                     type="radio" name="Abonnement" value="Nein"> Nein </p>


               <p> <label>Falls Ja welche : <select name="abo_type">

                        <option value="Arbeit" selected> Privates Arbeitnehmer </option>
                        <option value="Wohnsitze"> Wohnsitze </option>
                        <option value="Parken"> Privates Parken </option>

                     </select> </label> </p>

               <p> <label> <strong class="pflicht"> Geben Sie bitte Ihre Abonnement-Nummer : </strong> <input name="Nr"
                        required> </label> </p>




            </fieldset>
            <br> <input type="submit" value="Reservieren"> <br> <br>

         </form>

         <script>


            document.getElementById("btn").onclick = function () {

               var start = document.getElementById("start").value;
               const preis = 3;
               var end = document.getElementById("ende").value;
               console.log(start);
               console.log(end);

               console.log(start.split(":")[0]);
               console.log(end.split(":")[0]);


               var hourStart = start.split(":")[0];
               var hourEnd = end.split(":")[0];



               var parkingHours = parseInt(hourEnd, 10) - parseInt(hourStart, 10);
               console.log(parkingHours);




               if (parkingHours == 0) { result = preis; } else { var result = parkingHours * preis; }

               document.form.preis.value = result;

            }

         </script>

      </main>


      <aside>

         <p> Von 00:00 Uhr bis 07:00 Uhr können Bewohner in der Nähe unser Parkhaus kostenlos parken. <br> </p>


      </aside>

      <footer>

         <p>
            Falls sie fragen haben oder hilfe benötigen kontaktieren sie : <a
               href="mailto:hichem.ladhari001@stud.fh-dortmund.de " id="mail"> Kunden Service Email </a> <br>
            Sie können uns telefonisch erreichen unter: +49187877541555
         </p>
         <small> Copyright © <abbr title="Hichem Sana"> HS </abbr> </small>

      </footer>



   </div>

</body>


</html>